import java.awt.Polygon;
public class Ngon extends Polygon
{

    public Ngon(int sides, int left, int top, int radius){
        this(sides, left, top, radius, 0);       
    }
    public Ngon(int sides, int left, int top, int radius, double degrees){
    	    double start=degrees*Math.PI/180.0;  	    
        for(double theta=start; theta<2*Math.PI+start; theta+=2*Math.PI/sides)
           addPoint((int)(radius*Math.cos(theta)), (int)(radius*Math.sin(theta)));
        translate(left+radius,top+radius);
        
    }
    public int getX(int i){
    		return this.xpoints[i];
    }
    public int getY(int i){
    		return this.ypoints[i];
    }
}