import java.awt.Color;
import java.awt.Graphics;

public class ResetButton extends CircleButton
{
    private boolean visable;
	public ResetButton(int x, int y, int width, int height, String name, Color color) {
		super(x, y, width, height, name, color);
		visable=true;
	}
	public boolean isVisable(){return visable;}
	public void setVisable(boolean b){ visable=b;}
	public void draw(Graphics g){
		if (visable)
			super.draw(g);
	}

}
